GETGet swap status
Get swap status
Authorization
x-api-keystringrequiredheaderPlayground key
You're using a shared playground keyCreate a free account and get your own API keys from the dashboard.
Get your keysQuery Parameters
txHashesstring[]On-chain transaction hashes. At least one of txHashes or userOpHashes must be provided.
userOpHashesstring[]ERC-4337 UserOperation hashes. At least one of txHashes or userOpHashes must be provided.
chainIdenumdefault:11105613013714319632448018684217432646635042845310143421614222043114570735914481457777777713018453211155111
Response
Get swap successful.
requestIdstringrequiredA unique ID for the request.
swapsobject[]GET
/swapsRequest
curl --request GET \
--url 'https://trade-api.gateway.uniswap.org/v1/swaps' \
--header 'x-api-key: <api-key>'Response
200
{ "requestId": "<string>", "swaps": [ { "swapType": "<string>", "status": "<string>", "txHash": "<string>", "swapId": "<string>", "userOpHash": "<string>", "hashType": "<string>", "paymaster": "<string>" } ]}